package com.facebook;

import ඓ.K.K.K.C1293;

public class FacebookServiceException extends FacebookException {
    public static final long serialVersionUID = 1;
    public final FacebookRequestError error;

    public FacebookServiceException(FacebookRequestError facebookRequestError, String str) {
        super(str);
        this.error = facebookRequestError;
    }

    public final FacebookRequestError getRequestError() {
        return this.error;
    }

    @Override // com.facebook.FacebookException
    public final String toString() {
        StringBuilder r0 = C1293.m3402("{FacebookServiceException: ", "httpResponseCode: ");
        r0.append(this.error.getRequestStatusCode());
        r0.append(", facebookErrorCode: ");
        r0.append(this.error.getErrorCode());
        r0.append(", facebookErrorType: ");
        r0.append(this.error.getErrorType());
        r0.append(", message: ");
        r0.append(this.error.getErrorMessage());
        r0.append("}");
        return r0.toString();
    }
}
